Add labels to a contact
curl --request POST \
--url https://api.vendschat.com/v1/integrations/contacts/labels/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier_type": "contact_id",
"identifier_value": "1001",
"label_ids": [
3
],
"labels": "Wholesale, VIP"
}
'import requests
url = "https://api.vendschat.com/v1/integrations/contacts/labels/add"
payload = {
"identifier_type": "contact_id",
"identifier_value": "1001",
"label_ids": [3],
"labels": "Wholesale, VIP"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier_type: 'contact_id',
identifier_value: '1001',
label_ids: [3],
labels: 'Wholesale, VIP'
})
};
fetch('https://api.vendschat.com/v1/integrations/contacts/labels/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vendschat.com/v1/integrations/contacts/labels/add",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifier_type' => 'contact_id',
'identifier_value' => '1001',
'label_ids' => [
3
],
'labels' => 'Wholesale, VIP'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vendschat.com/v1/integrations/contacts/labels/add"
payload := strings.NewReader("{\n \"identifier_type\": \"contact_id\",\n \"identifier_value\": \"1001\",\n \"label_ids\": [\n 3\n ],\n \"labels\": \"Wholesale, VIP\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vendschat.com/v1/integrations/contacts/labels/add")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifier_type\": \"contact_id\",\n \"identifier_value\": \"1001\",\n \"label_ids\": [\n 3\n ],\n \"labels\": \"Wholesale, VIP\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vendschat.com/v1/integrations/contacts/labels/add")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier_type\": \"contact_id\",\n \"identifier_value\": \"1001\",\n \"label_ids\": [\n 3\n ],\n \"labels\": \"Wholesale, VIP\"\n}"
response = http.request(request)
puts response.read_body{}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Contacts
Add labels to a contact
Pass label_ids and/or labels (names; missing names are created on add).
POST
/
integrations
/
contacts
/
labels
/
add
Add labels to a contact
curl --request POST \
--url https://api.vendschat.com/v1/integrations/contacts/labels/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier_type": "contact_id",
"identifier_value": "1001",
"label_ids": [
3
],
"labels": "Wholesale, VIP"
}
'import requests
url = "https://api.vendschat.com/v1/integrations/contacts/labels/add"
payload = {
"identifier_type": "contact_id",
"identifier_value": "1001",
"label_ids": [3],
"labels": "Wholesale, VIP"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier_type: 'contact_id',
identifier_value: '1001',
label_ids: [3],
labels: 'Wholesale, VIP'
})
};
fetch('https://api.vendschat.com/v1/integrations/contacts/labels/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vendschat.com/v1/integrations/contacts/labels/add",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifier_type' => 'contact_id',
'identifier_value' => '1001',
'label_ids' => [
3
],
'labels' => 'Wholesale, VIP'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vendschat.com/v1/integrations/contacts/labels/add"
payload := strings.NewReader("{\n \"identifier_type\": \"contact_id\",\n \"identifier_value\": \"1001\",\n \"label_ids\": [\n 3\n ],\n \"labels\": \"Wholesale, VIP\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vendschat.com/v1/integrations/contacts/labels/add")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifier_type\": \"contact_id\",\n \"identifier_value\": \"1001\",\n \"label_ids\": [\n 3\n ],\n \"labels\": \"Wholesale, VIP\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vendschat.com/v1/integrations/contacts/labels/add")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier_type\": \"contact_id\",\n \"identifier_value\": \"1001\",\n \"label_ids\": [\n 3\n ],\n \"labels\": \"Wholesale, VIP\"\n}"
response = http.request(request)
puts response.read_body{}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer YOUR_API_KEY
Body
application/json
Response
Labels attached
The response is of type object.